<?php
	include'session.php';
	include'connection.php';
	include'../Retailers/functions.php';
?>
<html>
<head>
	<title>Recharge By Lapu</title>
	<!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
	<link rel="icon" href="images/logo.png" type="image/gif" sizes="16x16">
	
	<!-- Admin CSS File Link -->
	<link rel="stylesheet" href="css/style.css">
	
	<!-- User JAVA SCRIPT File Link -->
	<script type="text/javascript" src="js/script.js"></script>

	
	<!-- Font Awesome Icone -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	
	<style>
		.div1{
			background:;
			width:96%;
			margin:0 2%;
			padding:5px 10px;
		}
		.div1 input, .div1 select{
			height:40px;
			max-width:160px;
			font-size:14px;
			padding:5px;
			border-radius:5px;
			border:solid #6b5127 1px;
			overflow:hidden;
			margin:10px 5px;
		}
		input[type=submit]{
			background:#6b5127;
			color:white;
			transition:1s;
			cursor:pointer;
		}
		input[type=submit]:hover{
			background:white;
			color:#6b5127;
			transition:1s;
		}
		.div2{
			background:#f7f7f7;
			width:100%;
			height:450px;
			float:left;
			text-align:center;
			padding:5px;
			overflow:auto;
		}
		.div2 table{
			width:98%;
			text-align:center;
			font-size:13px;
			border-collapse:collapse;
			padding:2px 5px;
			margin:1%;
		}
        .div2 table tr:nth-child(odd){background:#f6f0e8;}
        .div2 table tr:nth-child(even){background:white; }
		table th{
			background:#6b5127;
			color:white;
			height:35px;
			border:solid white 1px;
			padding:2px 5px;
		}
		table td{
			height:30px;
			border:solid black 1px;
			padding:2px 5px;
		}
		
        .div2 table tr:hover{background:gray; color:white;}
		#inpNum, #lapuValue, #value1, #value2{display:none;}
		#analysisData{margin-left:2%;}
		#analysisData table td{padding:2px 5px;}
		@media(max-width:768px)
		{
			.div1{
				background:;
				width:100%;
				height:auto;
				margin:10px 0 0 0;
				padding:0;
				text-align:center;
			}
			.div1 input,.div1 select{
				width:90%;
				margin:10px;
			}
			.div2{
				width:100%;
				margin:10px 0 0 0;
				padding:0px;
				text-align:center;
			}
		}
		

	</style>
	
	<link rel="stylesheet" href="css/mediaStyle.css">
</head>
<body>
	<!--Header Divison-->
	<?php
		require'header.php';
	?>
	
	<!--Container Division-->
	<div class="container">
		<?php
			include'menu.php';
		?>
		<div class="content" id="contentDiv">
			<div class="head">
				<div class="title"><i class="fa fa-bars" onclick="hideMenu()" style="float:left; margin:10px;"></i><p>Recharge By Lapu :-</p></div>
				<div class="msg"><marquee><?php include'msg.php'; ?></marquee></msg>
			</div><hr>
			<div class="data-content">
			    <script>
			        function hideMenu()
			        {
			            if(document.getElementById("navHide").style.display!="none")
			            {
			                document.getElementById("navHide").style.display = "none";
			                document.getElementById("contentDiv").style.width = "100%";
			            }
			            else
			            {
			                document.getElementById("navHide").style.display = "inline";
			                document.getElementById("contentDiv").style.width = "82%";
			            }
			        }
			        
			        
			        function diffType()
			        {
			            var DiffType = document.getElementById("Diff").value;
			            
			            if(DiffType=="ALL")
			            {
			                document.getElementById("status").style.display= "inline";
			                document.getElementById("inpNum").style.display= "none";
			            }
			            else
			            {
			                document.getElementById("status").style.display= "none";
			                document.getElementById("inpNum").style.display= "inline";
			            }
			        }
			    </script>
			    <?php
			        $lapuNo=$_GET['lapuNo'];
			        $orderId=$_GET['rechId'];
			        $fDate=$_GET['fDate'];
			        $lDate=$_GET['lDate'];
			        $rechDate=$_GET['rechDate'];
			        $ownOpCode=$_GET['ownOpCode'];
			        
			        if(empty($ownOpCode))
			        {
			            $sqlQu = "";
			        }
			        elseif($ownOpCode==35)
			        {
			            $sqlQu = "AND OpCode=35";
			        }
			        else
			        {
			            $sqlQu = "AND OpCode!=35";
			        }
			        
			        
			        if(isset($_POST['submit']))
			        {
			            $fDateValue=$_POST['fdate'];
			            $lDateValue=$_POST['ldate'];
						$seller = $_POST['seller'];
			        }
			        elseif($_GET['fDate'] && $_GET['lDate'])
			        {
			            $fDateValue=$fDate;
			            $lDateValue=$lDate;
			        }
			        else
			        {
			            $fDateValue=$date;
			            $lDateValue=$date;
			        }
			    ?>
				<form method="post">
					<div class="div1">
						<input type="date" name="fdate" id="date1" value="<?php echo $fDateValue; ?>">
						<input type="date" name="ldate" id="date2" value="<?php echo $lDateValue; ?>">
		                <select name="tbl" >
		                    <option>recharge</option>
		                    <option>recharge_backup</option>
		                </select>
		                <select name="diff" id="Diff" onchange="diffType()">
		                    <option>ALL</option>
		                    <option>PLUS</option>
		                    <option>MINUS</option>
		                </select>
		                <input style="width:70px" type="number" name="DiffAmt" id="inpNum" value="100">
						<select name="status" id="status">
						    <option>SUCCESS</option>
						    <option>FAILED</option>
						    <option>PENDING</option>
						    <option>ALL</option>
						</select>
						<input type="submit" name="submit" value="Submit"  onclick='showLoader()'>
				</form>
						<input type="text" value="0"  id="lapuValue">
						<input type="text" value="0"  id="value1">
						<input type="text" value="0"  id="value2">
						<input type="button" value="Analysis"  onclick="analysisLapu()">
					</div>
				<script>
				    function setInpValue(Arg, lapuNo)
				    {
				        var inpVal1 = document.getElementById("value1").value;
				        var inpVal2 = document.getElementById("value2").value;
				        
				        if(inpVal1 < 1)
				        {
				            document.getElementById("value1").value = Arg;
				        }
				        else if(inpVal2 < 1)
				        {
				            document.getElementById("value2").value = Arg;
				        }
				        document.getElementById("lapuValue").value = lapuNo;
				    }
				    
				    function analysisLapu()
				    {
				        var inpVal1 = document.getElementById("value1").value;
				        var inpVal2 = document.getElementById("value2").value;
				        var lapuValue = document.getElementById("lapuValue").value;
				        
				        var xmlhttpState = new XMLHttpRequest();
							xmlhttpState.open("GET","Ajax.php?inpVal1="+inpVal1+"&inpVal2="+inpVal2+"&lapuValue="+lapuValue, false)
							xmlhttpState.send(null);
							document.getElementById("analysisData").innerHTML = xmlhttpState.responseText;
				    }
				</script>
				<div id="analysisData"></div>
				<div class="div2">
					<table cellpadding="20" border="2"> 
						<tr>
							<th><i class="fa fa-check"></i></th>
							<th>Order Id</th>
							<th>Date Time</th>
							<th>Name</th>
							<th>Bal.</th>
							<th>Operator</th>
							<th>Mobile</th>
							<th>Amt.</th>
							<th>RO</th>
							<th>API</th>
							<th>NO</th>
							<th>L.Owner</th>
							<th>Lapu No.</th>
							<th>Api Bal</th>
							<th>Api Diff</th>
							<th>Op. Id</th>
							<th>#</th>
							<th>Status</th>
							<th>CB</th>
							<th>RS</th>
							<th>@</th>
						</tr>
						<?PHP
							if(isset($_POST['submit']))
							{
								$fdate = $_POST['fdate'];
								$ldate = $_POST['ldate'];
								$tbl = $_POST['tbl'];
								$diff = $_POST['diff'];
								$DiffAmt = $_POST['DiffAmt'];
								$status = $_POST['status'];
								
								$sl=0;
								
								    if($diff=="ALL")
								    {
								        if($status=="ALL")
								        {
								            $quPayment="SELECT * FROM $tbl WHERE LapuNo='$lapuNo' AND  Rechargedate>='$fdate' AND Rechargedate<='$ldate' $sqlQu ORDER BY Id DESC";
								        }
								        else
								        {
								            $quPayment="SELECT * FROM $tbl WHERE LapuNo='$lapuNo' AND Status='$status' AND Rechargedate>='$fdate' AND Rechargedate<='$ldate' $sqlQu ORDER BY Id DESC";
								        }
								    }
								    else
								    {
							            if($diff=="PLUS")
								        {
								            $quPayment="SELECT * FROM $tbl WHERE LapuNo='$lapuNo' AND Diff>=$DiffAmt AND Rechargedate>='$fdate' AND Rechargedate<='$ldate' $sqlQu ORDER BY Id DESC";
								        }
								        else
								        {
								            $quPayment="SELECT * FROM $tbl WHERE LapuNo='$lapuNo' AND Diff<='-$DiffAmt' AND Rechargedate>='$fdate' AND Rechargedate<='$ldate' $sqlQu ORDER BY Id DESC";
								        }
								    }
								    
								$rePayment=mysqli_query($con,$quPayment);
								$totalRound500=0;
								$totalDiff=0;
								$totalRound1000=0;
								$totalAmount=0;
								$totalRO=0;
								while($dataPayment=mysqli_fetch_array($rePayment))
								{
									if($dataPayment['Status']=="FAILED")
									{
										$color="red";
									}
									elseif($dataPayment['Status']=="SUCCESS")
									{
										$color="green";
									}
									else
									{
										$color="blue";
									}
									
									if($dataPayment['Id']==$orderId)
									{
									    $background="background:#F2BBBF";
									}
									else
									{
									    $background="";
									}
									    $usrName=getName($dataPayment['Userid']);
									    echo"<tr style='".$background."'>";
										    echo "<td><input type='checkbox' value='".$dataPayment['Id']."' id='".$dataPayment['Id']."' onclick='setInpValue(this.value,".$dataPayment['LapuNo'].")'></td>";
										    echo "<td><a href='check_txn_status.php?rechId=".$dataPayment['Id']."' target='_blank'>".$dataPayment['Id']."</a></td>";
    										echo "<td>".$dataPayment['Rechargedate']." ".$dataPayment['Time']."</td>";
	    									echo "<td>".$usrName."</td>";
		    								echo "<td>".floor($dataPayment['Balance'])."</td>";
						    				echo "<td>".$dataPayment['Companyname']."</td>";
							    			echo "<td>".$dataPayment['Mobile']."</td>";
								    		echo "<td>".$dataPayment['Amount']."</td>";
									    	echo "<td>".getRA($dataPayment['R_Offer'])."</td>";
    										echo "<td>".$dataPayment['API']."</td>";
	    									echo "<td>".$dataPayment['API_NO']."</td>";
		    								echo "<td>".getLON($dataPayment['LapuNo'])."</td>";
			    							echo "<td>".$dataPayment['LapuNo']."</td>";
				    						echo "<td>".$dataPayment['ApiBal']."</td>";
					    					echo "<td>".getRA($dataPayment['Diff'])."</td>";
						    				echo "<td>".$dataPayment['Operatorid']."</td>";
							    			echo "<td>".$dataPayment['Responsetxt']."</td>";
								    		echo "<td><p id='".$color."'>".$dataPayment['Status']."</p></td>";
									    	echo "<td>";
										    if($dataPayment['CallBack']==0)
    										{
	    									    echo "<i class='fa fa-times'></i>";
		    								}
			    							else
				    						{
					    					    echo "<i class='fa fa-check'></i>";
						    				}
							    			echo "</td>";
								    		echo "<td>".$dataPayment['Roaming']."</td>";
									    	echo "<td>".$dataPayment['ReHit']."</td>";
									    echo"</tr>";
									$totalAmount=$totalAmount+$dataPayment['Amount'];
									$totalRO=$totalRO+$dataPayment['R_Offer'];
								}
							}
							else
							{
							    $tbl="recharge";
							    if(!empty($rechDate))
							    {
							        $quStatus="SELECT Status FROM recharge WHERE Id='$orderId'";
							        $reStatus=mysqli_query($con,$quStatus);
							        $dataStatus=mysqli_fetch_array($reStatus);
							        if($dataStatus['Status']=="SUCCESS")
							        {
							            $quPayment="SELECT * FROM $tbl WHERE LapuNo='$lapuNo' AND Rechargedate='$rechDate' AND Status='SUCCESS' $sqlQu ORDER BY Id DESC";
							        }
							        elseif($dataStatus['Status']=="PENDING")
							        {
							            $quPayment="SELECT * FROM $tbl WHERE LapuNo='$lapuNo' AND Rechargedate='$rechDate' AND Status!='FAILED' $sqlQu ORDER BY Id DESC";
							        }
							        else
							        {
							            $quPayment="SELECT * FROM $tbl WHERE LapuNo='$lapuNo' AND Rechargedate='$rechDate' $sqlQu ORDER BY Id DESC";
							        }
							        
							        
							    }
		            	        elseif($_GET['fDate'] && $_GET['lDate'])
			                    {
			                        $fdate=$_GET['fDate'];
			                        $ldate=$_GET['lDate'];
			                        $status="SUCCESS";
            			            $quPayment="SELECT * FROM $tbl WHERE LapuNo='$lapuNo' AND Status='$status' AND Rechargedate>='$fdate' AND Rechargedate<='$ldate' $sqlQu ORDER BY Id DESC";
			                    }
							    else
							    {
							        $quPayment="SELECT * FROM $tbl WHERE LapuNo='$lapuNo' ORDER BY Id DESC LIMIT 20";
							    }
								$sl=0;
								$totalAmount=0;
								$rePayment=mysqli_query($con,$quPayment);
								while($dataPayment=mysqli_fetch_array($rePayment))
								{
									if($dataPayment['Status']=="FAILED")
									{
										$color="red";
									}
									elseif($dataPayment['Status']=="SUCCESS")
									{
										$color="green";
									}
									else
									{
										$color="blue";
									}
									
									if($dataPayment['Id']==$orderId)
									{
									    $background="background:#F2BBBF";
									}
									else
									{
									    $background="";
									}
									$usrName=getName($dataPayment['Userid']);
									if($dataPayment['ApiBal']>1000 || $dataPayment['ApiBal']==0)
									{
									    $colorBal="green";
									}
									else
									{
									    $colorBal="red";
									}
									if($dataPayment['Id']==$orderId)
									{
									    $background="background:#F2BBBF";
									}
									else
									{
									    $background="";
									}
									echo"<tr style='".$background."'>";
										    echo "<td><input type='checkbox' value='".$dataPayment['Id']."' id='".$dataPayment['Id']."' onclick='setInpValue(this.value,".$dataPayment['LapuNo'].")'></td>";
										echo "<td><a href='check_txn_status.php?rechId=".$dataPayment['Id']."' target='_blank'>".$dataPayment['Id']."</a></td>";
										echo "<td>".$dataPayment['Rechargedate']." ".$dataPayment['Time']."</td>";
										echo "<td>".$usrName."</td>";
										echo "<td>".floor($dataPayment['Balance'])."</td>";
										echo "<td>".$dataPayment['Companyname']."</td>";
										echo "<td>".$dataPayment['Mobile']."</td>";
										echo "<td>".$dataPayment['Amount']."</td>";
										echo "<td>".getRA($dataPayment['R_Offer'])."</td>";
										echo "<td>".$dataPayment['API']."</td>";
										echo "<td>".$dataPayment['API_NO']."</td>";
										echo "<td>".getLON($dataPayment['LapuNo'])."</td>";
										echo "<td>".$dataPayment['LapuNo']."</td>";
										echo "<td style='color:".$colorBal."; font-size:13px'><b>".floor($dataPayment['ApiBal'])."</b></td>";
										echo "<td>".getRA($dataPayment['Diff'])."</td>";
										echo "<td>".$dataPayment['Operatorid']."</td>";
										echo "<td>".$dataPayment['Responsetxt']."</td>";
										echo "<td><p id='".$color."'>".$dataPayment['Status']."</p></td>";
										echo "<td>";
										if($dataPayment['CallBack']==0)
										{
										    echo "<i class='fa fa-times'></i>";
										}
										else
										{
										    echo "<i class='fa fa-check'></i>";
										}
										echo "</td>";
										echo "<td>".$dataPayment['Roaming']."</td>";
										echo "<td>".$dataPayment['ReHit']."</td>";
									echo"</tr>";
									$totalAmount=$totalAmount+$dataPayment['Amount'];
									$totalRO=$totalRO+$dataPayment['R_Offer'];
								}
							}
							
							echo "<tr>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th>".$totalAmount."</th>";
							    echo "<th>".$totalRO."</th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th></th>";
							    echo "<th>".$totalRound500."</th>";
							    echo "<th>".$totalDiff."</th>";
							    echo "<th>".$totalRound1000."</th>";
							    echo "<th></th>";
							    echo "<th></th>";
							echo "</tr>";
						?>
					</table>
				</div>
			</div>
		</div>
	</div>
	<?php
		require'footer.php';
	?>
</body>
</html>